KnnVectorsWriter.MergedVectorValues (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.codecs, class: KnnVectorsWriter, class: MergedVectorValues

Package org.apache.lucene.codecs

# Class KnnVectorsWriter.MergedVectorValues

java.lang.Object
org.apache.lucene.codecs.KnnVectorsWriter.MergedVectorValues

Enclosing class:
  `KnnVectorsWriter`

public static final class KnnVectorsWriter.MergedVectorValues extends Object
View over multiple vector values supporting iterator-style access via DocIdMerger.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `hasVectorValues(FieldInfos fieldInfos, String fieldName)`
  Returns true if the fieldInfos has vector values for the field.
  `static ByteVectorValues`
  `mergeByteVectorValues(FieldInfo fieldInfo, MergeState mergeState)`
  Returns a merged view over all the segment's `ByteVectorValues`.
  `static FloatVectorValues`
  `mergeFloatVectorValues(FieldInfo fieldInfo, MergeState mergeState)`
  Returns a merged view over all the segment's `FloatVectorValues`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### hasVectorValues

    public static boolean hasVectorValues(FieldInfos fieldInfos, String fieldName)
    Returns true if the fieldInfos has vector values for the field.
    Parameters:
      `fieldInfos` - fieldInfos for the segment
      `fieldName` - field name
    Returns:
      true if the fieldInfos has vector values for the field.

  - ### mergeFloatVectorValues

    public static FloatVectorValues mergeFloatVectorValues(FieldInfo fieldInfo, MergeState mergeState) throws IOException
    Returns a merged view over all the segment's `FloatVectorValues`.
    Throws:
      `IOException`

  - ### mergeByteVectorValues

    public static ByteVectorValues mergeByteVectorValues(FieldInfo fieldInfo, MergeState mergeState) throws IOException
    Returns a merged view over all the segment's `ByteVectorValues`.
    Throws:
      `IOException`